const Main = imports.ui.main;
const Overview = imports.ui.overview;

let oldOverview;
let oldLabel, activities;

function setText(label)
{
    activities._label.set_text(label);
}

function overviewToggle()
{
    if (this.isDummy)
        return;

    if (this.visible)
        this.hide();
    else
        this.viewSelector.showApps();
}

function init()
{
	activities = Main.panel.statusArea['activities'];
	oldLabel = activities._label.get_text();
}

function enable()
{
    oldOverview = Overview.Overview.prototype['toggle'];
    Overview.Overview.prototype['toggle'] = overviewToggle;

    setText("Applications");
}

function disable()
{
    Overview.Overview.prototype['toggle'] = oldOverview;

    setText(oldLabel);
}
